package com.goldenwater.system.mapper;

import java.util.List;
import com.goldenwater.system.domain.SysTemplate;

/**
 * 系统模板表 数据层
 * 
 * @author goldenwater
 */
public interface SysTemplateMapper
{
    /**
     * 查询模板列表
     * 
     * @param template 模板信息
     * @return 模板集合
     */
    public List<SysTemplate> selectSysTemplateList(SysTemplate template);

    /**
     * 根据模板编码查询模板
     * 
     * @param tplCode 模板编码
     * @return 模板信息
     */
    public SysTemplate selectSysTemplateById(String tplCode);

    /**
     * 新增模板
     * 
     * @param template 模板信息
     * @return 结果
     */
    public int insertSysTemplate(SysTemplate template);

    /**
     * 修改模板
     * 
     * @param template 模板信息
     * @return 结果
     */
    public int updateSysTemplate(SysTemplate template);

    /**
     * 删除模板
     * 
     * @param tplCode 模板编码
     * @return 结果
     */
    public int deleteSysTemplateById(String tplCode);

    /**
     * 批量删除模板
     * 
     * @param tplCodes 需要删除的模板编码
     * @return 结果
     */
    public int deleteSysTemplateByIds(String[] tplCodes);
}
